/*
 * BEGIN FLOCK GPL
 *
 * Copyright Flock Inc. 2005-2008
 * http://flock.com
 *
 * This file may be used under the terms of the
 * GNU General Public License Version 2 or later (the "GPL"),
 * http://www.gnu.org/licenses/gpl.html
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * END FLOCK GPL
 */

#include "nsISupports.idl"
#include "flockIError.idl"


[scriptable, uuid(c3e0af56-2e45-44c7-a490-71b7c53b4fcf)]
interface flockIPollingListener: nsISupports {
  void onResult();
  void onError(in flockIError aError);
};

[scriptable, uuid(bfeb8424-2a12-4ffd-802a-b26b79b1ec2f)]
interface flockIPollingService: nsISupports {
  void refresh(in AString aUrn, in flockIPollingListener aListener);
};

